Subject: Re: managing autoconf versions?
From: Spiro Trikaliotis <[email-masked]>
To: Jay <[email-masked]>
Cc: Cygwin ML <[email-masked]>
Date: Thu, 11 Jun 2009 20:32:45 +0200
List-Id: <cygwin.cygwin.com>

Hello Jay,

* On Thu, Jun 11, 2009 at 07:02:00AM +0000 Jay wrote:

>    [maybe should cc cygwin]

Doing so. ;) For complete reference, I am citing your complete mail.  As
you do not seem to be subscribed, I am keeping you as a direct
recipient, too.

>     Just noticed your guys's responses, searching
>    the web. Thanks.
> 
>    Spiro, I don't your answer of not including
>    generating files with the patch suffices.
>     - I think people do include them.

I am doing open source projects myself. Whenever I get a patch where
these generated files (auto*, bison, flex, ...) are included, I ask the
sender to send a new copy without these files. There are really a pain
in the ass! They are not worth the time it takes me to remove the
patches.

>     - It is important to match versions for testing purposes.
>       If I test with a non matching autoconf/make, what they generate
>    won't likely match, and that invalidates testing.

In my experience, these differences are seldom important. If they are, I
will take such a patch, of course.

<remaining parts left intact for reference on the ML>

>    Dave, thanks, it is exactly binutils/gcc I'm interested in.
>    Thank you for proving I'm not crazy -- there really is a problem.
>    Could be due to your work that cygwin is the best/easiest platform
>    here (but so slow to fork. :( ).
>    I was/am not aware of what the version macros achieve.
>    You know, I mean...ignoring binutils/gcc, though they are relevant,
>    would I install versions 1.1, 1.2, 1.3, etc. (made up versions)
>    all to different prefix, put all the prefixes/bin in $PATH and
>    the version macros search $PATH?
>    Or do all the tools append versions to all their directories/files?
> 
> 
>    You know, ideally..ideally what I would do is
>    download "every" version of autoconf/automake
>    configure and install them all with no flags
>    put /usr/local/bin in $PATH
>    and as long as I defined "every" correct/sufficient, be able to
>    make arbitrary edits to arbitrary projects, and just run
>    the usual configure+make on them and the right thing would happen.
> 
>    Or even, better yet, error if I don't have the matching version
>    of autoconfigure/automake, perhaps guided by a flag one way
>    or the other.
> 
>     - Jay

Best regards,
   Spiro.

-- 
Spiro R. Trikaliotis                              http://opencbm.sf.net/
http://www.trikaliotis.net/                     http://www.viceteam.org/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/